-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

if Input == nil then
    return nil
end
local err = custom_messages.ValueOutOfRange(Input)
local interface = string.match(Input, '^ui=(%d+)$')
if interface == nil then
    error(err)
end
interface = tonumber(interface)
if interface <= 0 or interface > 255 or (interface & 32) ~= 0 then
    error(err)
end
return true
